PayZuDocs

Get transaction

Returns a transaction with the delivered callbacks and the linked infractions.

Confira nosso tutorial
GEThttps://api.payzu.processamento.com/v1/user/transactions/{id}
GET
/user/transactions/{id}

Path Params

Transaction ID.

Responses

curl -X GET "https://api.payzu.processamento.com/v1/user/transactions/PAYZU20260814T6NX1CV9MK000000" \  -H "Authorization: Bearer {{token}}"
{
"id": "string",
"status": "PENDING",
"amount": 0,
"type": "DEPOSIT",
"qrCodeText": "string",
"qrCodeBase64": "string",
"qrCodeUrl": "string",
"generatedName": "string",
"generatedDocument": "string",
"generatedEmail": "string",
"payerName": "string",
"payerDocument": "string",
"payerInstitutionIspb": "string",
"payerInstitutionName": "string",
"payerAccountNumber": "string",
"serviceFeeCharged": 0,
"withdrawPixKey": "string",
"withdrawPixType": "cpf",
"receiverName": "string",
"receiverDocument": "string",
"receiverInstitutionIspb": "string",
"receiverInstitutionName": "string",
"receiverAccountNumber": "string",
"endToEndId": "string",
"createdAt": "string",
"updatedAt": "string",
"paidAt": "string",
"clientReference": "string",
"refundEndToEndId": "string",
"refundAmount": 0,
"refundStatus": "PENDING",
"refundReason": "CUSTOMER_REQUEST",
"refundDescription": "string",
"refundedAt": "string",
"cancellationReason": "string",
"virtualAccount": "string",
"method": "PIX",
}